ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.59 by root, Sun Jan 1 06:28:45 2006 UTC vs.
Revision 1.63 by root, Wed Jan 4 05:24:55 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
4319 4320
4320MALLOC_TYPE=S 4321MALLOC_TYPE=S
4321 4322
4322support_addstrings=no 4323support_addstrings=no
4323support_frills=yes 4324support_frills=yes
4324support_inheritpixmap=no 4325support_inheritpixmap=yes
4325support_tinting=yes 4326support_tinting=yes
4326support_fading=yes 4327support_fading=yes
4327support_keepscrolling=yes 4328support_keepscrolling=yes
4328support_selectionscrolling=yes 4329support_selectionscrolling=yes
4329support_menubar=no 4330support_menubar=no
4337support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
4338support_scroll_next=yes 4339support_scroll_next=yes
4339support_scroll_xterm=yes 4340support_scroll_xterm=yes
4340support_scroll_plain=yes 4341support_scroll_plain=yes
4341support_xim=yes 4342support_xim=yes
4342support_xpm=no 4343support_xpm=yes
4343support_xft=yes 4344support_xft=yes
4344support_unicode3=no 4345support_unicode3=no
4345support_combining=yes 4346support_combining=yes
4346support_8bitctrls=no 4347support_8bitctrls=no
4347support_iso14755=yes 4348support_iso14755=yes
4348support_styles=yes 4349support_styles=yes
4350support_perl=yes
4349codesets=all 4351codesets=all
4350 4352
4351 4353
4352if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
4353 4355
4389 support_unicode3=no 4391 support_unicode3=no
4390 support_combining=no 4392 support_combining=no
4391 support_8bitctrls=no 4393 support_8bitctrls=no
4392 support_iso14755=no 4394 support_iso14755=no
4393 support_styles=no 4395 support_styles=no
4396 support_perl=no
4394 codesets= 4397 codesets=
4395 fi 4398 fi
4396 if test x$enableval = xyes; then 4399 if test x$enableval = xyes; then
4397 support_24bit=yes 4400 support_24bit=yes
4398 support_frills=yes 4401 support_frills=yes
4419 support_unicode3=yes 4422 support_unicode3=yes
4420 support_combining=yes 4423 support_combining=yes
4421 #support_8bitctrls=yes 4424 #support_8bitctrls=yes
4422 support_iso14755=yes 4425 support_iso14755=yes
4423 support_styles=yes 4426 support_styles=yes
4427 support_perl=yes
4424 codesets=all 4428 codesets=all
4425 fi 4429 fi
4426 4430
4427fi; 4431fi;
4428 4432
4541# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given. 4545# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given.
4542if test "${enable_xterm_scroll+set}" = set; then 4546if test "${enable_xterm_scroll+set}" = set; then
4543 enableval="$enable_xterm_scroll" 4547 enableval="$enable_xterm_scroll"
4544 if test x$enableval = xyes -o x$enableval = xno; then 4548 if test x$enableval = xyes -o x$enableval = xno; then
4545 support_scroll_xterm=$enableval 4549 support_scroll_xterm=$enableval
4550 fi
4551fi;
4552
4553# Check whether --enable-perl or --disable-perl was given.
4554if test "${enable_perl+set}" = set; then
4555 enableval="$enable_perl"
4556 if test x$enableval = xyes -o x$enableval = xno; then
4557 support_perl=$enableval
4546 fi 4558 fi
4547fi; 4559fi;
4548 4560
4549# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4561# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4550if test "${enable_plain_scroll+set}" = set; then 4562if test "${enable_plain_scroll+set}" = set; then
12173 12185
12174fi 12186fi
12175 12187
12176if test x$support_xft = xyes; then 12188if test x$support_xft = xyes; then
12177 LIBS="$LIBS `pkg-config xft --libs`" 12189 LIBS="$LIBS `pkg-config xft --libs`"
12178 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
12179 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12190 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12180 12191
12181 12192
12182for ac_header in X11/Xft/Xft.h 12193for ac_header in X11/Xft/Xft.h
12183do 12194do
12641#define ENCODING_ZH_EXT 1 12652#define ENCODING_ZH_EXT 1
12642_ACEOF 12653_ACEOF
12643 ;; 12654 ;;
12644 esac 12655 esac
12645done 12656done
12657
12658IF_PERL=\#
12659if test x$support_perl = xyes; then
12660 # Extract the first word of "perl5", so it can be a program name with args.
12661set dummy perl5; ac_word=$2
12662echo "$as_me:$LINENO: checking for $ac_word" >&5
12663echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12664if test "${ac_cv_path_PERL+set}" = set; then
12665 echo $ECHO_N "(cached) $ECHO_C" >&6
12666else
12667 case $PERL in
12668 [\\/]* | ?:[\\/]*)
12669 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12670 ;;
12671 *)
12672 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12673for as_dir in $PATH
12674do
12675 IFS=$as_save_IFS
12676 test -z "$as_dir" && as_dir=.
12677 for ac_exec_ext in '' $ac_executable_extensions; do
12678 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12679 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12680 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12681 break 2
12682 fi
12683done
12684done
12685
12686 ;;
12687esac
12688fi
12689PERL=$ac_cv_path_PERL
12690
12691if test -n "$PERL"; then
12692 echo "$as_me:$LINENO: result: $PERL" >&5
12693echo "${ECHO_T}$PERL" >&6
12694else
12695 echo "$as_me:$LINENO: result: no" >&5
12696echo "${ECHO_T}no" >&6
12697fi
12698
12699 # Extract the first word of "perl", so it can be a program name with args.
12700set dummy perl; ac_word=$2
12701echo "$as_me:$LINENO: checking for $ac_word" >&5
12702echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12703if test "${ac_cv_path_PERL+set}" = set; then
12704 echo $ECHO_N "(cached) $ECHO_C" >&6
12705else
12706 case $PERL in
12707 [\\/]* | ?:[\\/]*)
12708 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12709 ;;
12710 *)
12711 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12712for as_dir in $PATH
12713do
12714 IFS=$as_save_IFS
12715 test -z "$as_dir" && as_dir=.
12716 for ac_exec_ext in '' $ac_executable_extensions; do
12717 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12718 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12719 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12720 break 2
12721 fi
12722done
12723done
12724
12725 ;;
12726esac
12727fi
12728PERL=$ac_cv_path_PERL
12729
12730if test -n "$PERL"; then
12731 echo "$as_me:$LINENO: result: $PERL" >&5
12732echo "${ECHO_T}$PERL" >&6
12733else
12734 echo "$as_me:$LINENO: result: no" >&5
12735echo "${ECHO_T}no" >&6
12736fi
12737
12738
12739 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12740echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12741 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12742
12743 save_CXXFLAGS="$CXXFLAGS"
12744 save_LIBS="$LIBS"
12745 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12746 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12747 cat >conftest.$ac_ext <<_ACEOF
12748/* confdefs.h. */
12749_ACEOF
12750cat confdefs.h >>conftest.$ac_ext
12751cat >>conftest.$ac_ext <<_ACEOF
12752/* end confdefs.h. */
12753
12754#include <EXTERN.h>
12755#include <perl.h>
12756#include <XSUB.h>
12757
12758int
12759main ()
12760{
12761
12762 PerlInterpreter *perl = perl_alloc ();
12763
12764 ;
12765 return 0;
12766}
12767_ACEOF
12768rm -f conftest.$ac_objext conftest$ac_exeext
12769if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12770 (eval $ac_link) 2>conftest.er1
12771 ac_status=$?
12772 grep -v '^ *+' conftest.er1 >conftest.err
12773 rm -f conftest.er1
12774 cat conftest.err >&5
12775 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12776 (exit $ac_status); } &&
12777 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12778 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12779 (eval $ac_try) 2>&5
12780 ac_status=$?
12781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12782 (exit $ac_status); }; } &&
12783 { ac_try='test -s conftest$ac_exeext'
12784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12785 (eval $ac_try) 2>&5
12786 ac_status=$?
12787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12788 (exit $ac_status); }; }; then
12789 rxvt_perl_link=yes
12790else
12791 echo "$as_me: failed program was:" >&5
12792sed 's/^/| /' conftest.$ac_ext >&5
12793
12794rxvt_perl_link=no
12795fi
12796rm -f conftest.err conftest.$ac_objext \
12797 conftest$ac_exeext conftest.$ac_ext
12798 CXXFLAGS="$save_CXXFLAGS"
12799 LIBS="$save_LIBS"
12800
12801 if test x$rxvt_perl_link = xyes; then
12802 echo "$as_me:$LINENO: result: ok" >&5
12803echo "${ECHO_T}ok" >&6
12804
12805cat >>confdefs.h <<\_ACEOF
12806#define ENABLE_PERL 1
12807_ACEOF
12808
12809 IF_PERL=
12810 PERL_O=rxvtperl.o
12811 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12812 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12813 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12814 else
12815 support_perl=no
12816 echo "$as_me:$LINENO: result: no, unable to link" >&5
12817echo "${ECHO_T}no, unable to link" >&6
12818 fi
12819 else
12820 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12821echo "$as_me: error: no working perl found" >&2;}
12822 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12823 support_perl=no
12824 fi
12825fi
12826
12827
12828
12829
12830
12831
12646 12832
12647 12833
12648CFLAGS=${CFLAGS--O} 12834CFLAGS=${CFLAGS--O}
12649LDFLAGS=${LDFLAGS--O} 12835LDFLAGS=${LDFLAGS--O}
12650 12836
13431s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13617s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13432s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13618s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13433s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13619s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13434s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13620s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13435s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13621s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13622s,@PERL@,$PERL,;t t
13623s,@PERLLIB@,$PERLLIB,;t t
13624s,@PERLFLAGS@,$PERLFLAGS,;t t
13625s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13626s,@IF_PERL@,$IF_PERL,;t t
13627s,@PERL_O@,$PERL_O,;t t
13436s,@DEBUG@,$DEBUG,;t t 13628s,@DEBUG@,$DEBUG,;t t
13437s,@DINCLUDE@,$DINCLUDE,;t t 13629s,@DINCLUDE@,$DINCLUDE,;t t
13438s,@DLIB@,$DLIB,;t t 13630s,@DLIB@,$DLIB,;t t
13439s,@include_stdint_h@,$include_stdint_h,;t t 13631s,@include_stdint_h@,$include_stdint_h,;t t
13440s,@include_stdarg_h@,$include_stdarg_h,;t t 13632s,@include_stdarg_h@,$include_stdarg_h,;t t
13981 utmp file: $rxvt_cv_path_utmp 14173 utmp file: $rxvt_cv_path_utmp
13982 utmpx file: $rxvt_cv_path_utmpx 14174 utmpx file: $rxvt_cv_path_utmpx
13983 wtmp file: $rxvt_cv_path_wtmp 14175 wtmp file: $rxvt_cv_path_wtmp
13984 wtmpx file: $rxvt_cv_path_wtmpx 14176 wtmpx file: $rxvt_cv_path_wtmpx
13985 lastlog file: $rxvt_cv_path_lastlog 14177 lastlog file: $rxvt_cv_path_lastlog
13986 ttys/ttytab file: $rxvt_cv_path_ttytab" 14178 ttys/ttytab file: $rxvt_cv_path_ttytab
14179 embedded perl: $support_perl"
13987 echo 14180 echo
13988fi 14181fi
13989if test x$term != x; then 14182if test x$term != x; then
13990 echo " set TERM to: $term" 14183 echo " set TERM to: $term"
13991fi 14184fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines